net-snmp-config(1)

NAME
net-snmp-config - returns information about installed net-snmp libraries and binaries

SYNOPSIS

net-snmp-config [OPTIONS]

DESCRIPTION

The net-snmp-config shell script is designed to retrieve the configuration information about the libraries and binaries dealing with the Simple Network Management Protocol (SNMP), built from the net-snmp source package. The information is particularily useful for applications that need to link against the SNMP libraries and hence must know about any other libraries that must be linked in as well.

OPTIONS

--version
    displays the net-snmp version number

--indent-options
    displays the indent options from the Coding Style

--debug-tokens
    displays a example command line to search to source code for a list of available debug tokens

SNMP Setup commands:

--create-snmpv3-user [-ro] [-a authpass] [-x privpass] [-X DES|AES]
    [-A MD5|SHA] [username]

These options produce the various compilation flags needed when building external SNMP applications:

--base-cflags
    lists additional compilation flags needed for external applications (excludes -I. and extra developer warning flags, if any)

--cflags
    lists additional compilation flags needed

--libs
    lists libraries needed for building applications

--agent-libs
    lists libraries needed for building subagents

--netsnmp-libs
    lists netsnmp specific libraries

--external-libs
    lists libraries needed by netsnmp libs

--netsnmp-agent-libs
    lists netsnmp specific agent libraries

--external-agent-libs lists libraries needed by netsnmp libs

Automated subagent building (produces an OUTPUTNAME binary file): [This feature has not been extensively tested, use at your own risk.]

--compile-subagent OUTPUTNAME [--norm] [--cflags flags]
    [--ldflags flags] mibmodule1.c [...]]

--norm
    leave the generated .c file around to read.

--cflags flags
    extra cflags to use (e.g. -I...).

--ldflags flags
    extra ld flags to use (e.g. -L... -l...).

    Details on how the net-nsmp package was compiled:

--configure-options
    Display original configure arguments

--snmpd-module-list
    Display the modules compiled into the agent

--prefix
    Display the installation prefix